Summary:  Portslave for radius servers.
Name: portslave-cistron
Version: 1.6
Release: 1
Copyright: GPL/BSD
Source0: ftp://ftp.cistron.nl/pub/people/miquels/radius/portslave-1.16.tar.gz
Url: http://miquels.www.cistron.nl/radius/ 
Patch0: portslave.patch
Group: Network/Utilities
Buildroot: /var/tmp/portslave-root
ExclusiveArch: i386 
Requires: radiusd-cistron

%description
Run your linux box as a terminal server.
                                                                          
%prep
%setup -q -n portslave-1.16
%patch -p1 -b .orig

%build
cd src
make RPM_OPTS="$RPM_OPT_FLAGS"
cd ../libpsr
make RPM_OPTS="$RPM_OPT_FLAGS" 
cd ../ppp-2.2.0f-radius/pppd 
make RPM_OPTS="$RPM_OPT_FLAGS" 
cd ../../rlogin-8.10/ 
make  RPM_OPTS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin/port-slave,lib}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 755 -s src/portslave $RPM_BUILD_ROOT/usr/bin
install -m 755 -s src/radinit	$RPM_BUILD_ROOT/usr/bin 
install -m 755 -s src/ctlportslave $RPM_BUILD_ROOT/usr/bin 
install -m 644 libpsr/libpsr.so $RPM_BUILD_ROOT/usr/lib

install -m 755 ppp-2.2.0f-radius/pppd/pppd $RPM_BUILD_ROOT/usr/bin/port-slave/
install -m 755 rlogin-8.10/rlogin $RPM_BUILD_ROOT/usr/bin/port-slave/ 
install -m 755 src/radinit.sh  $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 644 src/server.cfg 	$RPM_BUILD_ROOT/etc

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog CopyRight MAINTAINERS README README.NET README.PPPD 
%config /etc/server.cfg
/etc/rc.d/init.d/radinit.sh 
/usr/bin/portslave 
/usr/bin/radinit 
/usr/bin/ctlportslave 
/usr/bin/port-slave
/usr/lib 

%changelog
* Wed Sep 24 1998 Michael Maher <mike@redhat.com>
- built package
